## kxmlrpcclient 5.115.0

=== debian/changelog ===
kxmlrpcclient (5.115.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.1, no changes required.
  * Remove the unused debian/meta/ stuff.
  * CI: simplify/improve config.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Drop old breaks/replaces for versions older than Debian Bullseye.
  * Drop unused autopkgtest leftovers.
  * Explicitly pass -DBUILD_TESTING=ON to cmake: this way test-only symbols
    are exposed even when $DEB_BUILD_OPTIONS contains "nocheck" (which adds
    -DBUILD_TESTING=OFF as parameter to cmake). (Closes: #1086783)
  * Drop the unused ${shlibs:Depends} substvar from libkf5xmlrpcclient-data.

  [ Rebecca N. Palmer ]
  * d/watch: Look in KDE 5, as this package is not in KDE 6.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Feb 2025 11:24:33 +0100

kxmlrpcclient (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:16:32 +0200

kxmlrpcclient (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:30 +0100

kxmlrpcclient (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:46 +0200

=== debian/control ===
Source: kxmlrpcclient
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libkf5kio-dev (>= 5.115.0~),
               libkf5windowsystem-dev (>= 5.115.0~),
               libqt5sql5-sqlite,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.7.1
Homepage: https://invent.kde.org/frameworks/kxmlrpcclient
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient.git
Rules-Requires-Root: no

Package: libkf5xmlrpcclient-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the data files.

Package: libkf5xmlrpcclient-dev
Section: libdevel
Architecture: any
Depends: libkf5kio-dev (>= 5.115.0~),
         libkf5xmlrpcclient5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5xmlrpcclient-doc (= ${source:Version}),
Description: development files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5xmlrpcclient-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: framework providing an xml rpc client library (documentation)
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlrpcclient5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlrpcclient-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing an xml rpc client library
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.

## kxmlrpcclient 5.116.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.116.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts
project(KXmlRpcClient VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.116.0 CONFIG )
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

add_definitions(-DTRANSLATION_DOMAIN=\"libkxmlrpcclient5\")
ecm_setup_version(PROJECT VARIABLE_PREFIX KXMLRPCCLIENT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kxmlrpcclient_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
set(REQUIRED_QT_VERSION 5.15.2)

find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Xml)
find_package(KF5I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} CONFIG REQUIRED)
if(BUILD_TESTING)
    find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Test)
    add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

########### Targets ###########
ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
     add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5XmlRpcClient")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5XmlRpcClient_QCH
        FILE KF5XmlRpcClientQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5XmlRpcClientQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5XmlRpcClientConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5XmlRpcClientTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5XmlRpcClientTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kxmlrpcclient_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlRpcClient
  COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_library(KF5XmlRpcClient)
add_library(KF5::XmlRpcClient ALIAS KF5XmlRpcClient)

target_sources(KF5XmlRpcClient PRIVATE
    client.cpp
    client.h
    query.cpp
    query.h
    query_p.h
)

ecm_qt_declare_logging_category(KF5XmlRpcClient
    HEADER kxmlrpcclient_debug.h
    IDENTIFIER KXMLRPCCLIENT_LOG
    CATEGORY_NAME kf.xmlrpcclient
    OLD_CATEGORY_NAMES log_kxmlrpcclient org.kde.pim.kxmlrpcclient kf5.kxmlrpcclient
    DESCRIPTION "kxmlrpcclient (framework)"
    EXPORT KXMLRPCCLIENT
)

generate_export_header(KF5XmlRpcClient BASE_NAME kxmlrpcclient)

target_include_directories(KF5XmlRpcClient INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlRpcClient;${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlRpcClient/kxmlrpcclient>")

target_link_libraries(KF5XmlRpcClient 
PRIVATE
   KF5::KIOCore
   KF5::I18n
   Qt5::Xml
)

set_target_properties(KF5XmlRpcClient PROPERTIES
    VERSION ${KXMLRPCCLIENT_VERSION}
    SOVERSION ${KXMLRPCCLIENT_SOVERSION}
    EXPORT_NAME XmlRpcClient
)

ecm_generate_headers(KXmlRpcClient_CamelCase_HEADERS
  HEADER_NAMES
  Client
  PREFIX KXmlRpcClient
  REQUIRED_HEADERS KXmlRpcClient_HEADERS
)

install(TARGETS KF5XmlRpcClient EXPORT KF5XmlRpcClientTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})


ecm_generate_pri_file(BASE_NAME KXmlRpcClient
    LIB_NAME KF5XmlRpcClient
    DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlRpcClient
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


install(FILES ${KXmlRpcClient_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlRpcClient/KXmlRpcClient/)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kxmlrpcclient_export.h
  ${KXmlRpcClient_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlRpcClient/kxmlrpcclient/
  COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KXMLRPCCLIENT
    FILE kxmlrpcclient.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5XmlRpcClient_QCH
        NAME KXmlRpcClient
        BASE_NAME KF5XmlRpcClient
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KXmlRpcClient_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KXMLRPCCLIENT_EXPORT
            KXMLRPCCLIENT_DEPRECATED
            KXMLRPCCLIENT_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
kxmlrpcclient (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:43:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
-               libkf5kio-dev (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
+               libkf5kio-dev (>= 5.116.0~),
                libkf5windowsystem-dev (>= 5.115.0~),
                libqt5sql5-sqlite,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kxmlrpcclient
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient.git
@@ -37,7 +37,7 @@
 Package: libkf5xmlrpcclient-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.115.0~),
+Depends: libkf5kio-dev (>= 5.116.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_QCH=ON -DBUILD_TESTING=ON

=== debian/watch ===
version=4
# the 5 is because KDE 6 doesn't have this component and this makes uscan fail
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/portingAids/kxmlrpcclient-([\d.]+)\.tar\.xz

## kxmlrpcclient 5.116.0+p24.04+vstable+git20251015.1139

=== debian/changelog ===
kxmlrpcclient (5.116.0+p24.04+vstable+git20251015.1139-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:39:44 +0000

kxmlrpcclient (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:45:07 +1000

kxmlrpcclient (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:44:11 +0000

kxmlrpcclient (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:31:03 +0000

kxmlrpcclient (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:09:56 +0000

kxmlrpcclient (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:52:57 +0000

kxmlrpcclient (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 07:59:19 +0000

kxmlrpcclient (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:33:25 +0000

kxmlrpcclient (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 02:26:15 +0000

kxmlrpcclient (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:17:35 +0000

kxmlrpcclient (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:49:21 +0000

kxmlrpcclient (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:07:50 +0000

kxmlrpcclient (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:00:21 +0000

kxmlrpcclient (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:34:40 +0000

kxmlrpcclient (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:43:55 +0000

kxmlrpcclient (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 12:02:56 +0000

kxmlrpcclient (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:05:38 +0000

kxmlrpcclient (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:14:28 +0000

kxmlrpcclient (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:29:06 +0000

kxmlrpcclient (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:37:16 +0000

kxmlrpcclient (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:11:17 +0000

kxmlrpcclient (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:40:44 +0000

kxmlrpcclient (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 11:04:54 +0000

kxmlrpcclient (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 16 Mar 2022 11:38:11 +0000

kxmlrpcclient (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jan 2022 15:11:32 +0000

kxmlrpcclient (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:25:48 +0000

kxmlrpcclient (5.88.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 07:41:06 +0000

kxmlrpcclient (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:11:50 +0000

kxmlrpcclient (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:54 +0000

kxmlrpcclient (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:28:49 +0000

kxmlrpcclient (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:18:34 +0000

kxmlrpcclient (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:11:29 +0000

kxmlrpcclient (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:19:28 +0000

kxmlrpcclient (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:59:34 +0000

kxmlrpcclient (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:26:59 +0000

kxmlrpcclient (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:08:19 +0000

kxmlrpcclient (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:32:53 +0000

kxmlrpcclient (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:43:53 +0000

kxmlrpcclient (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:34:18 +0000

kxmlrpcclient (5.73.0-0neon) bionic; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:22:42 +0000

kxmlrpcclient (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:43:59 +0000

kxmlrpcclient (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:21:29 +0000

kxmlrpcclient (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:23:55 +0000

kxmlrpcclient (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:07:01 +0000

kxmlrpcclient (5.66.0-0neon) bionic; urgency=medium

  * New release



## kxmlrpcclient 5.116.0+p24.04+vstable+git20251020.0315

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KXmlRpcClient VERSION ${KF_VERSION})

=== debian/changelog ===
kxmlrpcclient (5.116.0+p24.04+vstable+git20251020.0315-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:15:20 +0000

=== debian/control ===
Source: kxmlrpcclient
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libkf5i18n-dev (>= 5.51.0~),
               libkf5kio-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
Vcs-Git: https://invent.kde.org/neon/kde/kxmlrpcclient.git
Vcs-Browser: https://invent.kde.org/neon/kde/kxmlrpcclient
Maintainer: Neon CI <neon@kde.org>

Package: libkf5xmlrpcclient-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<= 4:5.2.2-1)
Replaces: plasma-workspace (<= 4:5.2.2-1)
Description: data files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the data files.

Package: libkf5xmlrpcclient-dev
Section: libdevel
Architecture: any
Depends: libkf5kio-dev (>= 5.51.0~),
         libkf5xmlrpcclient5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Recommends: libkf5xmlrpcclient-doc (= ${source:Version})
Replaces: libkf5xmlrpcclient-doc (<< 5.61.90-0)
Breaks: libkf5xmlrpcclient-doc (<< 5.61.90-0)
Description: development files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5xmlrpcclient-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: framework providing an xml rpc client library (documentation)
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlrpcclient5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlrpcclient-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: framework providing an xml rpc client library
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/portingAids/kxmlrpcclient-([\d.]+)\.tar\.xz

## kxmlrpcclient 5.116.0+p24.04+vstable+git20251124.0818

=== debian/changelog ===
kxmlrpcclient (5.116.0+p24.04+vstable+git20251124.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 08:18:55 +0000

## kxmlrpcclient 5.116.0+p24.04+vstable+git20251220.0248

=== debian/changelog ===
kxmlrpcclient (5.116.0+p24.04+vstable+git20251220.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:48:46 +0000

## kxmlrpcclient 5.116.0+p24.04+vunstable+git20251020.0639

=== debian/changelog ===
kxmlrpcclient (5.116.0+p24.04+vunstable+git20251020.0639-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:39:24 +0000

## kxmlrpcclient 5.116.0+p24.04+vunstable+git20251124.0941

=== debian/changelog ===
kxmlrpcclient (5.116.0+p24.04+vunstable+git20251124.0941-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 09:41:21 +0000

## kxmlrpcclient 5.116.0+p24.04+vunstable+git20251220.0257

=== debian/changelog ===
kxmlrpcclient (5.116.0+p24.04+vunstable+git20251220.0257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:57:30 +0000
